using System.Collections.Generic;
using System.Linq;
using MessagePack;
using GameData;

namespace GameMessage
{
    [MessagePackObject]
    public class CardStyleInfoExtend : CardStyleInfo
    {
        public int GetCardId() => CustomInt - 1;
        public void SetCardId(int cardId) => CustomInt = cardId + 1;

        public CardStyleInfoExtend() { }
    }
}